commit 356390c14aa70a95c15845512f2381b627cf9a96
Author: John David Anglin <danglin@gcc.gnu.org>
Date:   Fri Oct 1 19:18:32 2021

    Use libiberty snprintf and vsnprintf on hppa*-*-hpux*.
    
    libiberty/ChangeLog:
    
            PR target/100734
            * configure.ac: Use libiberty snprintf and vsnprintf on
            hppa*-*-hpux*.
            * configure: Regenerate.

diff --git a/libiberty/configure.ac b/libiberty/configure.ac
index ad952963971..5faf48b8382 100644
--- a/libiberty/configure.ac
+++ b/libiberty/configure.ac
@@ -611,6 +611,12 @@ if test -z "${setobjs}"; then
     ac_cv_func_getpagesize=yes
     ;;
 
+  hppa*-*-hpux*)
+    # Replace system snprintf and vsnprintf with libiberty implementations.
+    AC_LIBOBJ([snprintf])
+    AC_LIBOBJ([vsnprintf])
+    ;;
+
   *-*-mingw32*)
     # Under mingw32, sys_nerr and sys_errlist exist, but they are
     # macros, so the test below won't find them.

